prometheus (3.5.3+ds1-3) unstable; urgency=medium

  * Team upload.
  * Add distro patches for two more flaky cmd/prometheus tests:
    - TestHeadCompactionWhileScraping is timing-sensitive and failed on
      the riscv64 buildd; skip it in short mode, which Debian enables on
      slow architectures (armel, armhf, mips64el, riscv64).
      Ref: https://github.com/prometheus/prometheus/issues/17956
    - TestQueryLog is flaky due to an upstream port-binding race
      (connection refused / bind: address already in use on arm64 debci);
      disable until upstream fixes
      https://github.com/prometheus/prometheus/issues/16843

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 31 Jul 2026 08:52:20 +0200

prometheus (3.5.3+ds1-2) unstable; urgency=medium

  * Team upload.
  * Add distro patches to skip two flaky tests on slow/non-mainstream
    architectures

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 30 Jul 2026 08:09:41 -0400

prometheus (3.5.3+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.5.3. (Closes: #1138247)
    - Fixes CVE-2026-42151 and CVE-2026-42154. (Closes: #1135999)
    - Fixes flaky tests. (Closes: #1135260)
  * Refresh patches.
  * Drop web UI due to missing dependencies in Debian (rust-rolldown).
  * Drop obsolete UI dependencies (fonts, libjs) from debian/control.
  * Drop legacy UTF-8 label validation patches to fix test panics and
    restore test coverage.
  * Add comprehensive autopkgtest for Prometheus systemd service.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jul 2026 10:17:49 -0300

prometheus (2.53.5+ds1-5) unstable; urgency=medium

  * Team upload

  [ Guillem Jover ]
  * d/rules:
    - Remove «Rules-Requires-Root: no», which is now the default
    - Remove «Priority: optional», which is now the default
    - Bump Standards-Version to 4.7.4
  * Switch to debian/watch format version 5
  * Run wrap-and-sort -ast
  * Switch debian/gitlab-ci.yml to debian/salsa-ci.yml
  * Namespace debhelper fragment files with binary package name

  [ Mathias Gibbens ]
  * Add patch to update expected otel semconv version (Closes: #1137403)
  * Drop patch for building with old version of golang-github-ovh-go-ovh-dev
  * Update minimum versions of packages in Build-Depends and Depends in
    d/control

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 04 Jun 2026 00:29:45 +0000

prometheus (2.53.5+ds1-4) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Team upload.
  * Update deprecated type to fix build with Moby v28, Closes: #1131820

  [ Reinhard Tartler ]
  * Build against docker 28

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Mar 2026 06:11:28 -0400

prometheus (2.53.5+ds1-3) unstable; urgency=medium

  * Add new 0025-Support-prometheus-common-v0.66.0.patch
  * Bump golang-github-prometheus-common-dev version constraint (>= 0.66.0)
  * wrap-and-sort -at
  * Sync Build-Depends to -dev package also

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 31 Dec 2025 19:01:34 +0000

prometheus (2.53.5+ds1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Require B-D golang-k8s-client-go-dev >= 0.33.0
  * d/p/*: Create patch to update informer watch error handler for client-go
    (Closes: #1113806)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 02 Sep 2025 23:03:33 +0100

prometheus (2.53.5+ds1-1) unstable; urgency=medium

  * Final release of 2.53.x LTS series, whose upstream support has now ended
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop obsolete 0016-Use-opentelemetry-1.26.patch (applied upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 20 Aug 2025 14:37:12 +0000

prometheus (2.53.4+ds1-1) unstable; urgency=medium

  * Really final release of 2.53.x LTS series

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 19 Aug 2025 14:07:21 +0000

prometheus (2.53.3+ds1-2) unstable; urgency=medium

  * Simplify Debian test helper functions
  * Add new 0023-Use-legacy-label-name-validation.patch
  * Include labels builder in classic UI template contexts (Closes: #1108095)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Jun 2025 18:11:33 +0000

prometheus (2.53.3+ds1-1) unstable; urgency=medium

  * New upstream release 2.53.3: the last LTS (Long-Term Support) release of
    the 2.x series.
    10 years since the first commit in the Debian packaging repo!
  * Add missing documentation and examples
  * d/control: Migrate to Static-Built-Using

 -- Martina Ferrari <tina@debian.org>  Sun, 16 Feb 2025 17:31:36 +0000

prometheus (2.53.1+ds-3) unstable; urgency=medium

  * d/rules: remove obsolete includes
  * Replace patches to skip tests with proper fixes
  * Remove obsolete 0007-Fix-hanging-test.patch
  * Merge patches for resources-related test failures

 -- Martina Ferrari <tina@debian.org>  Fri, 14 Feb 2025 04:23:39 +0000

prometheus (2.53.1+ds-2) unstable; urgency=medium

  * Add patches to fix/skip test failures on 32-bit

 -- Martina Ferrari <tina@debian.org>  Mon, 10 Feb 2025 18:59:15 +0000

prometheus (2.53.1+ds-1) unstable; urgency=medium

  * gbp.conf: Add defaults to automatically find upstream git tags when
    importing a new upstream release with `gbp import-orig`
  * Vendor new dependency too small to package
  * Add dependencies and vendored code for k8s SD
  * Disable Azure SD until SDK package is updated
  * Disable OTLP Ingestion endpoint. This can be re-enabled once golang-
    opentelemetry-collector is in Debian (#1080354)
  * Add patch to fix a test error for OVH
  * Add lintian overrides for long Built-Using field
  * Reenable Kubernetes service discovery

 -- Martina Ferrari <tina@debian.org>  Mon, 10 Feb 2025 05:11:10 +0000

prometheus (2.45.6+ds-9) unstable; urgency=medium

  * Add Breaks / Replaces to promtool package (Closes: #1088956)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Dec 2024 20:49:55 +0000

prometheus (2.45.6+ds-8) unstable; urgency=medium

  * Add new 0027-Extend-testing-CA-certificates-expiry-date.patch
    (Closes: #1078633)
  * Split out promtool binary to separate package (Closes: #1087992)
  * Modernize d/rules to produce more visually appealing man pages

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 30 Nov 2024 09:13:50 +0000

prometheus (2.45.6+ds-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:22:01 -0400

prometheus (2.45.6+ds-6) experimental; urgency=medium

  * Team upload.
  * Tighten dependencies on opentelemetry
  * Fix tests against opentelemetry 1.26

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Oct 2024 06:31:28 -0400

prometheus (2.45.6+ds-5) unstable; urgency=medium

  * golang-github-prometheus-prometheus-dev: include example config files
    required by tests

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 07 Oct 2024 15:29:08 +0000

prometheus (2.45.6+ds-4) unstable; urgency=medium

  * Source-only re-upload

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 06 Oct 2024 10:59:38 +0000

prometheus (2.45.6+ds-3) unstable; urgency=medium

  * Reinstate "New UI" link in nav header
  * d/control: add golang-github-prometheus-prometheus-dev package for
    applications which import (parts of) Prometheus as a library

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 04 Oct 2024 10:38:55 +0000

prometheus (2.45.6+ds-2) unstable; urgency=medium

  * Reinstate React web UI support in backend
  * Fix duplicate path prefix in templates/rules.html (Closes: #1071995)
  * Drop obsolete 0013-Revert-OpenStack-Gophercloud-API-change.patch and
    bump golang-github-gophercloud-gophercloud-dev version constraint to
    (>= 0.19.0)
  * Add React web UI install-ui.sh helper script

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 23 Sep 2024 01:22:56 +0000

prometheus (2.45.6+ds-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Add new 0025-Support-docker-v25.patch
  * Bump golang-github-docker-docker-dev version constraint (>= 25.0)
  * Drop obsolete 0014-Disable-OpenTelemetry.patch
  * Add new build-dep golang-opentelemetry-contrib-dev
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 11:29:12 +0000

prometheus (2.45.5+ds-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 03 May 2024 17:24:59 +0000

prometheus (2.45.4+ds-2) unstable; urgency=medium

  * Add new 0024-Fix-deadlock-in-TestQuerierIndexQueriesRace.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 31 Mar 2024 15:56:05 +0000

prometheus (2.45.4+ds-1) unstable; urgency=medium

  * New upstream release
  * dh_auto_test: increase test timeout to 60m

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 29 Mar 2024 11:03:56 +0000

prometheus (2.45.3+ds-3) unstable; urgency=medium

  * Add new 0023-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Mar 2024 04:58:20 +0000

prometheus (2.45.3+ds-2) unstable; urgency=medium

  * Add new 0022-Support-prometheus-common-v0.47.0.patch (Closes: #1064765)
  * Bump golang-github-prometheus-common-dev version constraint to >= 0.47.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 27 Feb 2024 05:26:30 +0000

prometheus (2.45.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Feb 2024 11:58:47 +0000

prometheus (2.45.1+ds-3) unstable; urgency=medium

  * Override dh_auto_test gcflags on riscv64 to workaround
    https://github.com/golang/go/issues/63167
  * Increase test timeout and skip long tests on mips64el and riscv64

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 21:58:21 +0000

prometheus (2.45.1+ds-2) unstable; urgency=medium

  * Add new 0021-Partially-backport-PR-12650.patch to fix FTBFS with recent
    versions of golang-golang-x-exp-dev
  * Drop LimitNOFILE from systemd service, since systemd >= 240 defaults to a
    higher hard limit than what we previously specified

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 22 Nov 2023 17:34:47 +0000

prometheus (2.45.1+ds-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Do not restart service on config syntax errors (Closes: #1022724)

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop obsolete 0021-Fix-Linode-SD-int32-overflows.patch (applied upstream)
  * Bump minimum required golang-github-hetznercloud-hcloud-go-dev to 2.0.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Oct 2023 13:17:35 +0000

prometheus (2.45.0+ds-3) unstable; urgency=medium

  * Add new Fix-Linode-SD-int32-overflows.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 17:38:35 +0000

prometheus (2.45.0+ds-2) unstable; urgency=medium

  * Re-enable Linode service discovery
  * Drop obsolete Revert-switch-to-go-zookeeper.patch
  * Drop unused build-dep golang-github-samuel-go-zookeeper-dev
  * Add new build-deps:
    - golang-github-go-zookeeper-zk-dev
    - golang-github-linode-linodego-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 16 Jul 2023 12:48:41 +0000

prometheus (2.45.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Convert patches to gbp-pq format and refresh
  * Add new Disable-Azure-AD-authentication-support.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Jul 2023 18:45:22 +0000

prometheus (2.44.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new 96-Disable-write-documentation-flag.patch
  * Add missing build-dep golang-google-protobuf-dev
  * Drop redundant build-dep version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Jul 2023 10:37:15 +0000

prometheus (2.43.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 95-Support-prometheus-common-0.42.0.patch
  * Drop unused golang-github-dgryski-go-sip13-dev build-dep
  * Add new 95-Revert-kingpin-import-path.patch
  * d/rules: restore docker SD test fixture filename for older build-deps

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Jul 2023 22:24:58 +0000

prometheus (2.42.0+ds-6) unstable; urgency=medium

  * Add new 95-Support-prometheus-common-0.42.0.patch to support building
    against golang-github-prometheus-common-dev >= 0.42.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 28 Jun 2023 22:51:17 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog promtool`.
